Description

History

#1 - 12/08/2020 11:24 PM - Zbigniew Rebacz

I think this is not required. In context of git the main reason to update it is security vulnerabilities. We can concentrate with fast updates made by user or

automated update available in git (git update-git-for-windows). Also git by default modified environment settings, so there are not need for manual

configuration after installation. Not sure about svn probably I added it manually.

You should make decision basing on the maintainability. If you are ok to update this tools before release then maybe, but in some cases we will not be able

to create new release due to security vulnerabilities in git or svn binary.

#2 - 12/09/2020 01:38 AM - Miroslav Fidler

Without git in bin in Windows, UppHub will be dead on arival. This must work out of box...

Updating git is trivial. Problem is config, that needs investigation.

#3 - 12/09/2020 05:00 PM - Zbigniew Rebacz

Right now we will pull only publicly available repositories without the need for credentials, so the atack vector is minimal. I agree that bundled git will help

with UppHub adoption.

#4 - 12/17/2020 01:00 PM - Miroslav Fidler

- Status changed from New to Approved
